import moment from 'moment';

export default function drawCountdownClock() {
  const countdownClock = document.getElementById('countdownclock');
  if (!countdownClock) {
    return;
  }

  const countdownTo = countdownClock.getAttribute('data-countdown-to');
  if (!countdownTo) {
    return;
  }

  // End time. Specify in this format e.g. 00:00:01 February 28, 2017.
  const endTime = moment(countdownTo, 'HH:mm:ss MMMM DD, YYYY');

  setInterval(
    () => {
      // Current time.
      const time = moment();

      // Difference between end time and current time in milliseconds
      const timeDiff = endTime.diff(time);

      /*
				 * Convert timeDiff to a duration object so that individual components
				 * of time (eg. days, hours, minutes, and seconds) can be extracted
				 */
      const duration = moment.duration(timeDiff);

      /*
				 * Create a nicely formatted countdown string by extracting
				 * individual components from the duration object
				 */
      const durationString = `${duration.days()} days, ${duration.hours()} hours, ` +
        `${duration.minutes()} minutes, and ${duration.seconds()} seconds`;

      countdownClock.innerHTML = durationString;
    },

    1000
  );
}
