import debounce from 'lodash/debounce';
import registerDrawer from './register-drawer';

export default function handleSuperHeader() {
  const superHeaderToggler = document.querySelector(
    '.super-header-bar .search-icon-container'
  );

  if (!superHeaderToggler) {
    return;
  }

  superHeaderToggler.addEventListener('click', event => {
    event.preventDefault();

    if (document.querySelector('.super-header-container')) {
      if (superHeaderToggler.classList.contains('active')) {
        closeSuperHeader(superHeaderToggler);
      } else {
        const superHeader = document.querySelector('.super-header-container');
        superHeaderToggler.classList.add('active');
        superHeader.style['margin-top'] = '0';
      }

      return;
    }

    superHeaderToggler.classList.add('active');
  });
}

function handleSuperHeaderTabs() {
  let togglers = document.querySelectorAll(
    '.super-header-container .nav-tabs li'
  );
  let tabs = document.querySelectorAll('.super-header-container .tab-pane');

  if (!togglers || !tabs) {
    return;
  }

  togglers = [ ...togglers ];
  tabs = [ ...tabs ];

  togglers.forEach((toggler, i) => {
    toggler.addEventListener('click', event => {
      event.preventDefault();

      togglers.forEach(thisToggler => thisToggler.classList.remove('active'));
      tabs.forEach(tab => tab.classList.remove('active'));

      toggler.classList.add('active');
      tabs[i].classList.add('active');
    });
  });
}

function handleSuperHeaderClose(superHeaderToggler) {
  const closeLink = document.querySelector('.super-header-close');

  closeLink.addEventListener('click', event => {
    event.preventDefault();

    closeSuperHeader(superHeaderToggler);
  });
}

function closeSuperHeader(superHeaderToggler, superHeader, childHeight) {
  if (
    typeof childHeight === 'undefined' || typeof superHeader === 'undefined'
  ) {
    superHeader = document.querySelector('.super-header-container');
    let superChild = superHeader.querySelector('div');
    childHeight = superChild.scrollHeight;
  }

  superHeader.style['margin-top'] = `-${childHeight}px`;

  if (superHeaderToggler && superHeaderToggler.classList) {
    superHeaderToggler.classList.remove('active');
  }
}
