import DisableScroll from './disable-scroll';

let disableScroll;

export default function registerDrawer(
  openerSelector,
  drawerSelector,
  lockBody,
  callback
) {
  const openers = document.querySelectorAll(openerSelector);
  const drawer = document.querySelector(drawerSelector);

  if (!openers || !drawer) {
    return;
  }

  if (lockBody == true) {
    disableScroll = new DisableScroll('main');
  }

  const links = drawer.querySelectorAll('a');

  const toggleFocusable = () => {
    [ ...links ].forEach(item => {
      if (item.getAttribute('tabindex') == null) {
        return item.setAttribute('tabindex', '-1');
      }

      if (item.getAttribute('tabindex') == '-1') {
        return item.setAttribute('tabindex', '0');
      }

      if (item.getAttribute('tabindex') == '0') {
        return item.setAttribute('tabindex', '-1');
      }
    });
  };

  toggleFocusable();

  [ ...openers ].forEach(opener => {
    opener.addEventListener('click', event => {
      event.preventDefault();

      drawer.classList.toggle('active');

      if (lockBody == true) {
        disableScroll.toggle();
      }

      [
        ...openers
      ].forEach(eachOpener => eachOpener.classList.toggle('active'));

      toggleFocusable();

      if (typeof callback == 'function') {
        callback();
      }
    });
  });
}
