export default function runOneLevelHeaderMenuToggler() {
  const menuIcon = document.querySelector('.menu-icon-container');
  const menuList = document.querySelector('.one-level-header__nav-list');

  // Both elements are required.
  if (!menuIcon || !menuList) {
    return;
  }

  menuIcon.addEventListener('click', event => {
    // Prevent default click behavior.
    event.preventDefault();

    // Toggle the .active CSS class on both the icon and the menu.
    menuIcon.classList.toggle('active');
    menuList.classList.toggle('mobile-active');
  });

  window.addEventListener('resize', () => {
    if (window.innerWidth >= 768) {
      menuIcon.classList.remove('active');
      menuList.classList.remove('mobile-active');
    }
  });
}
